require "apocrodentia/key_sensor"
require "json"
module AR
  module Game

    extend AR::Events

    def self.gen_id size = 10
      o = [('a'..'z'), ('A'..'Z')].map { |i| i.to_a }.flatten
      string = (0...size).map { o[rand(o.length)] }.join
      string
    end

    module Health

    end

    module PlayerPerspective
      #should be a narrator event resolver added to conditionally 
      #narrate events as they resolves. if the player knows about
      #the object
    end

  end#module Game
end

require_relative "game/behavior"
require_relative "game/menu"
require_relative "game/ar_object"
require_relative "game/action"
require_relative "game/option"
require_relative "game/instance"
